<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of MissEventCode
 *
 * @author jgao
 */
class MissEventCode {

    //put your code here

    const isServerLogic = true;

    //#region ----------->玩家事件

    /**
     * [状态] 玩家升级事件
     * 无参数
     * 计数：目标等级
     */
    const Evn_User_Levelup = 101;

    /**
     * 玩家食物发生变化
     * 参数一：特定食物类型，无限定填0
     *  计数：要求数目
     */
    const Evn_User_Food = 102;

    //#endregion
    //#region -----------> 领地事件

    /**
     * 建造一个领地    /    建造一个指定领地	
     * 参数一：特定建筑ID，无限定填0
     * 计数：要求数目
     */
    const Evn_Habitat_Build = 201;

    /**
     * 拥有一个领地     /     拥有一个指定领地	/ 拥有一个特定 等级领地
     * 
     * 参数一：特定栖息地类型(金木水火土)，无限定填0
     * 
     * 参数二：特定等级，无限定填0
     * 计数：要求数目
     */
    const SEvn_Habitat_Own = 251;

    /**
     *  升级一个领地	/    升级一个指定领地
     * 
     * 参数一：特定建筑ID，无限定填0
     * 参数二：特定目标等级，无限定填0
     * 计数：要求数目
     */
    const Evn_Habitat_LevelUp = 202;

    /**
     * 收取一次金币操作   
     * 【行为的计数 】
     * 
     * 参数一：特定领地类型，无限定填0
     * 计数：要求数目
     */
    const Evn_Habitat_CollectGold = 203;

    /**
     * 栖息地 金币收集累计  
     * 【金币的计数 】
     * 
     * 参数一：特定领地类型，无限定填0
     * 计数：要求数目
     */
    const SEvn_Habitat_CollectGold = 253;

    //#endregion
    //#region ----------->农田

    /**
     * 建造一个农田	
     * 参数一：特定建筑ID，无限定填0
     * 计数：要求数目
     */
    const Evn_Farm_Build = 301;

    /**
     * 拥有一个农田   /   拥有一个指定农田	/拥有一个指定等级的农田
     * 
     * 参数一：特定类型，无限定填0 (万一农田以后出其他类型呢) 
     * 
     * 参数二：特定等级，无限定填0
     * 
     * 计数：要求数目
     */
    const SEvn_Farm_Own = 351;

    /**
     * 升级一个农田	 
     * 参数一：特定建筑ID，无限定填0
     * 参数二：特定目标等级，无限定填0
     * 计数：要求数目
     */
    const Evn_Farm_LevelUp = 302;

    /**
     * 种植一次作物	/   种植一次指定作物
     * 参数一：特定作物类型，无限定填0
     * 计数：要求数目
     */
    const Evn_Farm_PlantFood = 303;

    /**
     * 收获一次作物	/   收获一次指定作物 
     * 【行为统计】
     * 参数一：特定果实类型，无限定填0
     * 计数：要求数目
     */
    const Evn_Farm_CollectFood = 304;

    /**
     * 收获一次作物	/   收获一次指定作物
     * 【果实数量统计】
     * 参数一：特定果实类型，无限定填0
     * 计数：要求数目
     */
    const SEvn_Farm_CollectFood = 354;

    //#endregion
    //#region ----------->建筑事件

    /**
     * 建造一个建筑   /   建造一个指定建筑
     * 参数一：特定建筑ID，无限定填0
     * 计数：要求数目
     */
    const Evn_Build_Construct = 401;

    /**
     * 拥有一个建筑	/   拥有一个指定建筑 / 拥有指定等级的建筑
     * 
     * 参数一：特定建筑  一级大类 类型，无限定填0
     * 参数二：特定建筑  二级小类 类型，无限定填0
     * 参数二：特定等级，无限定填0
     * 
     * 计数：要求数目
     */
    const SEvn_Build_Own = 451;

    /**
     * 升级一个建筑   /  升级一个指定建筑	
     * 
     * 参数一：特定建筑ID，无限定填0
     * 
     * 参数二：特定等级，无限定填0
     * 
     * 计数：要求数目
     */
    const Evn_Build_LevelUp = 402;

    /**
     * 铲除 一个建筑   /  铲除一个指定建筑	    
     * 参数一：特定建筑ID，无限定填0
     * 计数：要求数目
     */
    const Evn_Build_Remove = 403;

    /**
     * 招募   一次    
     * 参数一：特定神兽类型，无限定填0
     * 计数：要求数目
     */
    const Evn_Build_PubEmploy = 404;

    /**
     * 培育一次    /  培育出指定神兽一次	获得兽蛋  
     * 参数一：特定兽蛋类型，无限定填0
     * 计数：要求数目
     */
    const Evn_Build_Breed = 405;

    /**
     * 孵化
     * 参数一：特定兽蛋类型，无限定填0
     * 计数：要求数目
     */
    const Evn_Build_EggHatch = 406;

    /**
     * 采矿场 打工一次
     * 参数一：特定工作神兽类型，无限定填0
     * 计数：要求数目
     */
    const Evn_Build_QuarryWork = 407;

    /**
     * 采矿场 结果收取一次
     * 【累计神兽的工作次数】    
     * 参数一：特定工作神兽类型，无限定填0    
     * 计数：要求数目
     */
    const Evn_Build_QuarryResult = 408;

    /**
     * 采矿场 结果收取一次
     * [累计道具的收取始数量]
     * 参数一：特定采矿成果道具ID, 无限定填0  
     * 计数：要求数目
     */
    const SEvn_Build_QuarryResult = 458;

    /**
     * 加工厂 打工一次
     * 参数一：特定工作神兽类型，无限定填0
     * 计数：要求数目
     */
    const Evn_Build_ProcessWork = 409;

    /**
     * 加工厂 结果收取一次
     * 【累计哪个神兽加工工作次数】
     * 参数一：特定工作神兽类型，无限定填0       
     * 计数：要求数目
     */
    const Evn_Build_ProcessResult = 410;

    /**
     * 加工厂 结果收取
     * [累计道具的收取始数量]
     * 参数一：特定成果道具ID, 无限定填0  
     * 计数：要求数目
     */
    const SEvn_Build_ProcessResult = 460;

    /**
     * 收取建造的建筑的经验值    
     * 参数一：特定建筑ID，无限定填0       
     * 计数：要求数目
     */
    const Evn_Build_CollectExp = 411;

    /**
     * 酒馆配置上阵神兽    
     * 计数：配置次数
     */
    const Evn_Build_PubTeamConfig = 412;

    //#endregion
    //#region ----------->神兽事件

    /**
     * 拥有一只神兽	/ 拥有一只指定神兽
     * 	
     * 参数一：特定神兽类型，无限定填0
     * 
     * 参数二：特定等级，无限定填0
     * 
     * 参数三：特定星级，无限定填0
     * 
     * 计数：要求数目
     */
    const SEvn_Pet = 551;

    /**
     * 喂养一次神兽  /   喂养一次指定神兽	
     * 参数一：特定神兽类型，无限定填0
     * 计数：要求数目
     */
    const Evn_Pet_Feed = 501;

    /*     * Mi
     * 升级一次神兽	/ 升级一次指定神兽	
     * 参数一：特定神兽类型，无限定填0
     * 参数二：特定等级，无限定填0
     * 计数：要求数目
     */
    const Evn_Pet_LevelUp = 502;

    /**
     * 升级技能一次神兽	/ 升级一次指定神兽	的技能
     * 参数一：特定神兽类型，无限定填0
     * 参数二：特定技能ID，无限定填0
     * 参数三：特定技能等级，无限定填0
     * 计数：要求数目
     */
    const Evn_Pet_Skill = 503;

    /**
     * 升星一次神兽 / 升星一次指定神兽
     * 参数一：特定神兽类型，无限定填0
     * 参数二：特定星级，无限定填0
     * 计数：要求数目
     */
    const Evn_Pet_Star = 504;

    //#endregion
    //#region ----------->探索事件

    /**
     * 进入一次探索地图	
     * 计数：要求数目
     */
    const Evn_Explore_EnterMap = 601;

    /**
     * 进行一次占领(动作，不考虑结果)
     * 计数：要求数目
     */
    const Evn_Explore_GridCapture = 602;

    /**
     * 占领一块领地 / 占领一块指定领地或者或者中立建筑
     * 参数一：特定领地类型，无限定填0
     * 计数：要求数目
     */
    const Evn_Explore_GridCaptureSucced = 603;
    
    /**
     * 拥有N块领地 / 拥有N块指定领地或者中立建筑
     * 参数一：特定领地类型，无限定填0
     * 计数：要求数目
     */
    const SEvn_Explore_GridOwn = 653;

    /**
     * 执行一次队伍调动(派遣战队进入探索地图)
     * 计数：要求数目
     */
    const Evn_Explore_ArmyDeploy = 604;
    
    /**
     * 和制定NPC对话
     * 参数一：地图id（必填）
     * 参数二：地点坐标（必填，格式为 x_y）
     * 计数：固定为1
     */
    const Evn_Explore_TalkToMissNpc = 605;
    
    /**
     * 打败多个指定坐标的NPC(多个)
     * 参数一：地图id（必填）
     * 参数二：地点列表（必填，格式为 x_y|x_y|x_y ...）
     * 计数：地点总个数
     */
    const Evn_Explore_FightToMissNpc = 606;
    
    
    //#endregion
    //#region ----------->其他事件

    /**
     * 	加速一次	/   加速一次指定操作
     * 参数一：加速类型（建造 /种植 /孵化/铲除障碍物），无限定填0
     * 
     * 计数：要求数目
     * 
     */
    const Evn_SpeedUp = 701;

    /**
     * 岛屿解锁
     * 计数：要求数目
     */
    const Evn_MapIsLand = 702;

    /**
     * 岛屿阴影解锁
     * 计数：要求数目
     */
    const Evn_MapShadow = 703;

    /**
     * 新手引导
     * 参数一：特定步骤ID，无限定填0
     * 计数：目标步骤
     */
    const Evn_Guide = 704;

    //#endregion
}
